CREATE DATABASE vosbackend;

use vosbackend;

grant all on vosbackend.* to 'vosbackadmin' identified by 'Peper0ne';

CREATE TABLE StoredFiles
(
    fileID int NOT NULL AUTO_INCREMENT, 
    original_file_name varchar(255) NOT NULL,
    stored_file_name varchar(36) NOT NULL,
    md5_checksum varchar(36) NOT NULL,
    relative_path varchar(8),
    PRIMARY KEY (fileID)
) ENGINE=InnoDB; 

ALTER TABLE StoredFiles ADD INDEX f_name (original_file_name);

